package com.kingdee.eas.custom.expandassess;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractQuarterlyRatioEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractQuarterlyRatioEntryInfo()
    {
        this("id");
    }
    protected AbstractQuarterlyRatioEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: ·ÖÂ¼ 's µ¥¾ÝÍ· property 
     */
    public com.kingdee.eas.custom.expandassess.QuarterlyRatioInfo getParent()
    {
        return (com.kingdee.eas.custom.expandassess.QuarterlyRatioInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.expandassess.QuarterlyRatioInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AA46165B");
    }
}